WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Did your site break when using this plugin?

[Resolved] Did your site break when using this plugin?

  • failedprocess
    Member

    @failedprocess

    This seems to be a recurring issue so I thought I would make a new topic with the hack/fix. I found that the majority of issues have to do with the fact that SRSS calls its own Javascript file mainly to the detriment of other plugins and intrinsic theme features. I found that by commenting out this call in the super-rss-reader.php file fixes the majority, if not all, of these issues. The lines in question are 24-26 and your code should look like this:

    function srr_public_scripts(){
    	// jQuery
    	//wp_deregister_script('jquery');
        //wp_register_script('jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js');
        //wp_enqueue_script('jquery');
    
    	// Super RSS Reader JS and CSS
    	wp_register_script('super-rss-reader-js', SRR_URL . 'public/srr-js.js');
    	wp_enqueue_script(array('jquery', 'super-rss-reader-js'));
    }

    when finished.

    I confirmed that this fix worked in in FF 18, Chrome 24.0.1312.52 m, IE 8.0, Safari 5.1, and Opera 12.12 and others have chimed in saying that it fixed their issue as well. Not being the original dev I can say that your mileage may vary with this but it seems to do the trick in the majority of cases.

    http://wordpress.org/extend/plugins/super-rss-reader/

  • The topic ‘[Resolved] Did your site break when using this plugin?’ is closed to new replies.